---
title: "Matrix server shutdown"
date: 2021-07-03T09:36:58-07:00
draft: false
showFullContent: true
tags:
- matrix
- pnut
---

Today I have officially retired my self-hosted matrix server and along with it the custom app service bridge I wrote for pnut.io (pnut-matrix). This comes as a somewhat bittersweet moment as I have been running my own matrix server since the end of 2016 and worked on the bridge since early 2017. I've been a fan and user of matrix over those years, the idea of a decentralized chat network built on common protocol that could interface with other networks appeals to me. But as I have come to realize this power and flexibility comes at a cost of complexity and resources. I find myself in need of freeing up my time and money for other ventures. So I must bid farewell to my server that has been my personal playground for the last 4 years. I moved to a managed service which costs me less and still allow me to participate in the matrix network. I have also replaced my pnut-matrix bridge with a much lighter weight plugin I wrote for matterbridge. It is a work in progress and I will share more details as it makes progress.

=> [pnut-matrix](https://gitlab.com/thrrgilag/pnut-matrix) - A matrix appservice bridge for pnut.io  
=> [pnut-bridge](https://git.sr.ht/~thrrgilag/pnut-bridge) - A matterbridge plugin for pnut.io  

